#define IN_STG_CODE 0
#include "Rts.h"
#include "Stg.h"
#ifdef __cplusplus
extern "C" {
#endif
 
extern StgClosure base_ControlziConcurrent_zdfforkOSzuentryzua159_closure;
void forkOS_entry(HsStablePtr a1)
{
Capability *cap;
HaskellObj ret;
cap = rts_lock();
cap=rts_evalIO(cap,rts_apply(cap,(HaskellObj)runIO_closure,rts_apply(cap,&base_ControlziConcurrent_zdfforkOSzuentryzua159_closure,rts_mkStablePtr(cap,a1))) ,&ret);
rts_checkSchedStatus("forkOS_entry",cap);
rts_unlock(cap);
}
static void stginit_export_base_ControlziConcurrent_zdfforkOSzuentryzua159() __attribute__((constructor));
static void stginit_export_base_ControlziConcurrent_zdfforkOSzuentryzua159()
{getStablePtr((StgPtr) &base_ControlziConcurrent_zdfforkOSzuentryzua159_closure);}
#ifdef __cplusplus
}
#endif

